[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| FilterIterator< PREDICATE, ITER > Class Template Reference |

This iterator creates a view of another iterator and skips elements that do not fulfill a given predicate. More...

`#include <vigra/filter_iterator.hxx>`

Inherits ForwardIteratorFacade< FACADE, VALUE_TYPE, IS_CONST >.

## Public Member Functions
| FilterIterator (Predicate pred, Iter iter, Iter end=Iter())

## Detailed Description

### template<typename PREDICATE, typename ITER>
class vigra::FilterIterator< PREDICATE, ITER >

This iterator creates a view of another iterator and skips elements that do not fulfill a given predicate.

The iterator is compatible to an STL forward iterator as defined in the C++ standard.

Note
  The equality comparison only checks, whether the iterators point to the same place. The predicate is not checked.

## Constructor & Destructor Documentation

FilterIterator | ( | Predicate | pred,
|  | Iter | iter,
|  | Iter | end = `Iter()`
| ) |  |

Construct a filter iterator with the given predicate for a base iterator range iter to end.

The documentation for this class was generated from the following file:

- vigra/filter_iterator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0 (Fri May 19 2017)